Attribute VB_Name = "FonctionsGenecal"

Public Function paques(annee) ' détermination de la date de Pâques en fonction de l'année

    Dim var1, var2, var3, var4, var5, var6, var7
    var1 = annee Mod 19 + 1
    var2 = (annee \ 100) + 1
    var3 = ((3 * var2) \ 4) - 12
    var4 = (((8 * var2) + 5) \ 25) - 5
    var5 = ((5 * annee) \ 4) - var3 - 10
    var6 = (11 * var1 + 20 + var4 - var3) Mod 30
    
    If (var6 = 25 And var1 > 11) Or (var6 = 24) Then
        var6 = var6 + 1
    End If
    
    var7 = 44 - var6
    
    If var7 < 21 Then
        var7 = var7 + 30
    End If
    
    var7 = var7 + 7
    var7 = var7 - (var5 + var7) Mod 7
    
    
    If var7 <= 31 Then
        paques = DateValue(CStr(var7) & "/3/" & CStr(annee))
    Else
        paques = DateValue(CStr(var7 - 31) & "/4/" & CStr(annee))
    End If

End Function

Public Function ListeSaints(date1 As Date) As String ' liste des saints
' Merci à Nanette
Dim JourEC, MoisEC As Variant
Dim d As Date, d1 As Date, d2 As Date, d3 As Date

MoisEC = Format(date1, "mmmm")
JourEC = Format(date1, "dd")
ListeSaints = ""
If MoisEC = "janvier" Then
               
        If JourEC = "02" Then
                ListeSaints = "Basile"
        ElseIf JourEC = "03" Then
                ListeSaints = "Geneviève"
        ElseIf JourEC = "04" Then
                ListeSaints = "Odilon"
        ElseIf JourEC = "05" Then
                ListeSaints = "Edouard"
        ElseIf JourEC = "06" Then
                ListeSaints = "Mélaine"
        ElseIf JourEC = "07" Then
                ListeSaints = "Raymond"
        ElseIf JourEC = "08" Then
                ListeSaints = "Lucien"
        ElseIf JourEC = "09" Then
                ListeSaints = "Alix"
        ElseIf JourEC = "10" Then
                ListeSaints = "Guillaume"
        ElseIf JourEC = "11" Then
                ListeSaints = "Paulin"
        ElseIf JourEC = "12" Then
                ListeSaints = "Tatiana"
        ElseIf JourEC = "13" Then
                ListeSaints = "Yvette"
        ElseIf JourEC = "14" Then
                ListeSaints = "Nina"
        ElseIf JourEC = "15" Then
                ListeSaints = "Rémi"
        ElseIf JourEC = "16" Then
                ListeSaints = "Marcel"
        ElseIf JourEC = "17" Then
                ListeSaints = "Roseline"
        ElseIf JourEC = "18" Then
                ListeSaints = "Prisca"
        ElseIf JourEC = "19" Then
                ListeSaints = "Marius"
        ElseIf JourEC = "20" Then
                ListeSaints = "Sébastien"
        ElseIf JourEC = "21" Then
                ListeSaints = "Agnès"
        ElseIf JourEC = "22" Then
                ListeSaints = "Vincent"
        ElseIf JourEC = "23" Then
                ListeSaints = "Barnard"
        ElseIf JourEC = "24" Then
                ListeSaints = "François de Sales"
        ElseIf JourEC = "25" Then
                ListeSaints = "Conv. St Paul"
        ElseIf JourEC = "26" Then
                ListeSaints = "Paule"
        ElseIf JourEC = "27" Then
                ListeSaints = "Angèle"
        ElseIf JourEC = "28" Then
                ListeSaints = "Thérèse D'Aquin"
        ElseIf JourEC = "29" Then
                ListeSaints = "Gildas"
        ElseIf JourEC = "30" Then
                ListeSaints = "Martine"
        ElseIf JourEC = "31" Then
                ListeSaints = "Marcelle"
        End If
    
    ElseIf MoisEC = "février" Then
          If JourEC = "01" Then
                ListeSaints = "Ella"
        ElseIf JourEC = "02" Then
                ListeSaints = "Chandeleur"
        ElseIf JourEC = "03" Then
                ListeSaints = "Blaise"
        ElseIf JourEC = "04" Then
                ListeSaints = "Véronique"
        ElseIf JourEC = "05" Then
                ListeSaints = "Agathe"
        ElseIf JourEC = "06" Then
                ListeSaints = "Gaston"
        ElseIf JourEC = "07" Then
                ListeSaints = "Eugénie"
        ElseIf JourEC = "08" Then
                ListeSaints = "Jacqueline"
        ElseIf JourEC = "09" Then
                ListeSaints = "Apolline"
        ElseIf JourEC = "10" Then
                ListeSaints = "Arnaud"
        ElseIf JourEC = "11" Then
                ListeSaints = "N.-D. de Lourdes"
        ElseIf JourEC = "12" Then
                ListeSaints = "Félix"
        ElseIf JourEC = "13" Then
                ListeSaints = "Béatrice"
        ElseIf JourEC = "14" Then
                ListeSaints = "Valentin"
        ElseIf JourEC = "15" Then
                ListeSaints = "Claude"
        ElseIf JourEC = "16" Then
                ListeSaints = "Julienne"
        ElseIf JourEC = "17" Then
                ListeSaints = "Alexis"
        ElseIf JourEC = "18" Then
                ListeSaints = "Bernadette"
        ElseIf JourEC = "19" Then
                ListeSaints = "Gabin"
        ElseIf JourEC = "20" Then
                ListeSaints = "Aimée"
        ElseIf JourEC = "21" Then
                ListeSaints = "Pierre-Damien"
        ElseIf JourEC = "22" Then
                ListeSaints = "Isabelle"
        ElseIf JourEC = "23" Then
                ListeSaints = "Lazare"
        ElseIf JourEC = "24" Then
                ListeSaints = "Modeste"
        ElseIf JourEC = "25" Then
                ListeSaints = "Roméo"
        ElseIf JourEC = "26" Then
                ListeSaints = "Nestor"
        ElseIf JourEC = "27" Then
                ListeSaints = "Honorine"
        ElseIf JourEC = "28" Then
                ListeSaints = "Romain"
        ElseIf JourEC = "29" Then
                ListeSaints = "Auguste"
        End If
    
    ElseIf MoisEC = "mars" Then
              
        If JourEC = "01" Then
                ListeSaints = "Aubin"
        ElseIf JourEC = "02" Then
                ListeSaints = "Charles le bon"
        ElseIf JourEC = "03" Then
                ListeSaints = "Guénolé"
        ElseIf JourEC = "04" Then
                ListeSaints = "Casimir"
        ElseIf JourEC = "05" Then
                ListeSaints = "Olive"
        ElseIf JourEC = "06" Then
                ListeSaints = "Colette"
        ElseIf JourEC = "07" Then
                ListeSaints = "Félicité"
        ElseIf JourEC = "08" Then
                ListeSaints = "Jean de Dieu"
        ElseIf JourEC = "09" Then
                ListeSaints = "Françoise"
        ElseIf JourEC = "10" Then
                ListeSaints = "Vivien"
        ElseIf JourEC = "11" Then
                ListeSaints = "Rosine"
        ElseIf JourEC = "12" Then
                ListeSaints = "Justine"
        ElseIf JourEC = "13" Then
                ListeSaints = "Rodrigue"
        ElseIf JourEC = "14" Then
                ListeSaints = "Mathilde"
        ElseIf JourEC = "15" Then
                ListeSaints = "Louise"
        ElseIf JourEC = "16" Then
                ListeSaints = "Bénédicte"
        ElseIf JourEC = "17" Then
                ListeSaints = "Patrice"
        ElseIf JourEC = "18" Then
                ListeSaints = "Cyrille"
        ElseIf JourEC = "19" Then
                ListeSaints = "Joseph"
        ElseIf JourEC = "20" Then
                ListeSaints = "Herbert"
        ElseIf JourEC = "21" Then
                ListeSaints = "Clémence"
        ElseIf JourEC = "22" Then
                ListeSaints = "Léa"
        ElseIf JourEC = "23" Then
                ListeSaints = "Victorien"
        ElseIf JourEC = "24" Then
                ListeSaints = "Karine-Cath. de Su"
        ElseIf JourEC = "25" Then
                ListeSaints = "Humbert"
        ElseIf JourEC = "26" Then
                ListeSaints = "Larissa"
        ElseIf JourEC = "27" Then
                ListeSaints = "Habib"
        ElseIf JourEC = "28" Then
                ListeSaints = "Gontran"
        ElseIf JourEC = "29" Then
                ListeSaints = "Gwladys"
        ElseIf JourEC = "30" Then
                ListeSaints = "Amédée"
        ElseIf JourEC = "31" Then
                ListeSaints = "Benjamin"
        End If

    ElseIf MoisEC = "avril" Then
               
         If JourEC = "01" Then
                ListeSaints = "Hugues"
        ElseIf JourEC = "02" Then
                ListeSaints = "Sandrine"
        ElseIf JourEC = "03" Then
                ListeSaints = "Richard"
        ElseIf JourEC = "04" Then
                ListeSaints = "Isidore"
        ElseIf JourEC = "05" Then
                ListeSaints = "Irène"
        ElseIf JourEC = "06" Then
                ListeSaints = "Marcellin"
        ElseIf JourEC = "07" Then
                ListeSaints = "J. Bapt. de la S."
        ElseIf JourEC = "08" Then
                ListeSaints = "Julie"
        ElseIf JourEC = "09" Then
                ListeSaints = "Gautier"
        ElseIf JourEC = "10" Then
                ListeSaints = "Fulbert"
        ElseIf JourEC = "11" Then
                ListeSaints = "Stanislas"
        ElseIf JourEC = "12" Then
                ListeSaints = "Jules"
        ElseIf JourEC = "13" Then
                ListeSaints = "Ida"
        ElseIf JourEC = "14" Then
                ListeSaints = "Maxime"
        ElseIf JourEC = "15" Then
                ListeSaints = "Paterne"
        ElseIf JourEC = "16" Then
                ListeSaints = "Benoît & Joseph"
        ElseIf JourEC = "17" Then
                ListeSaints = "Anicet"
        ElseIf JourEC = "18" Then
                ListeSaints = "Parfait"
        ElseIf JourEC = "19" Then
                ListeSaints = "Emma"
        ElseIf JourEC = "20" Then
                ListeSaints = "Odette"
        ElseIf JourEC = "21" Then
                ListeSaints = "Anselme"
        ElseIf JourEC = "22" Then
                ListeSaints = "Alexandre"
        ElseIf JourEC = "23" Then
                ListeSaints = "Georges"
        ElseIf JourEC = "24" Then
                ListeSaints = "Fidèle"
        ElseIf JourEC = "25" Then
                ListeSaints = "Marc"
        ElseIf JourEC = "26" Then
                ListeSaints = "Alida"
        ElseIf JourEC = "27" Then
                ListeSaints = "Zita"
        ElseIf JourEC = "28" Then
                ListeSaints = "Valérie"
        ElseIf JourEC = "29" Then
                ListeSaints = "Cath. de Sienne"
        ElseIf JourEC = "30" Then
                ListeSaints = "Robert"
        End If

    ElseIf MoisEC = "mai" Then
               
        If JourEC = "02" Then
                ListeSaints = "Boris"
        ElseIf JourEC = "03" Then
                ListeSaints = "Philippe et Jacques"
        ElseIf JourEC = "04" Then
                ListeSaints = "Sylvain"
        ElseIf JourEC = "05" Then
                ListeSaints = "Judith"
        ElseIf JourEC = "06" Then
                ListeSaints = "Prudence"
        ElseIf JourEC = "07" Then
                ListeSaints = "Gisèle"
        ElseIf JourEC = "09" Then
                ListeSaints = "Pacôme"
        ElseIf JourEC = "10" Then
                ListeSaints = "Solange"
        ElseIf JourEC = "11" Then
                ListeSaints = "Estelle"
        ElseIf JourEC = "12" Then
                ListeSaints = "Achille"
        ElseIf JourEC = "13" Then
                ListeSaints = "Rolande"
        ElseIf JourEC = "14" Then
                ListeSaints = "Matthias"
        ElseIf JourEC = "15" Then
                ListeSaints = "Denise"
        ElseIf JourEC = "16" Then
                ListeSaints = "Honoré"
        ElseIf JourEC = "17" Then
                ListeSaints = "Pascal"
        ElseIf JourEC = "18" Then
                ListeSaints = "Eric"
        ElseIf JourEC = "19" Then
                ListeSaints = "Yves"
        ElseIf JourEC = "20" Then
                ListeSaints = "Bernardin"
        ElseIf JourEC = "21" Then
                ListeSaints = "Constantine"
        ElseIf JourEC = "22" Then
                ListeSaints = "Emile"
        ElseIf JourEC = "23" Then
                ListeSaints = "Didier"
        ElseIf JourEC = "24" Then
                ListeSaints = "Donatien"
        ElseIf JourEC = "25" Then
                ListeSaints = "Sophie"
        ElseIf JourEC = "26" Then
                ListeSaints = "Béranger"
        ElseIf JourEC = "27" Then
                ListeSaints = "Augustin"
        ElseIf JourEC = "28" Then
                ListeSaints = "Germain"
        ElseIf JourEC = "29" Then
                ListeSaints = "Aymard"
        ElseIf JourEC = "30" Then
                ListeSaints = "Ferdinand"
        ElseIf JourEC = "31" Then
                ListeSaints = "Visitation"
        End If

    ElseIf MoisEC = "juin" Then
                
        If JourEC = "01" Then
                ListeSaints = "Justin"
        ElseIf JourEC = "02" Then
                ListeSaints = "Blandine"
        ElseIf JourEC = "03" Then
                ListeSaints = "Kévin"
        ElseIf JourEC = "04" Then
                ListeSaints = "Clotilde"
        ElseIf JourEC = "05" Then
                ListeSaints = "Igor"
        ElseIf JourEC = "06" Then
                ListeSaints = "Norbert"
        ElseIf JourEC = "07" Then
                ListeSaints = "Gilbert"
        ElseIf JourEC = "08" Then
                ListeSaints = "Médard"
        ElseIf JourEC = "09" Then
                ListeSaints = "Diane"
        ElseIf JourEC = "10" Then
                ListeSaints = "Landry"
        ElseIf JourEC = "11" Then
                ListeSaints = "Barnabé"
        ElseIf JourEC = "12" Then
                ListeSaints = "Guy"
        ElseIf JourEC = "13" Then
                ListeSaints = "Antoine de Padoue"
        ElseIf JourEC = "14" Then
                ListeSaints = "Elisée"
        ElseIf JourEC = "15" Then
                ListeSaints = "Germaine"
        ElseIf JourEC = "16" Then
                ListeSaints = "Jean François Régis"
        ElseIf JourEC = "17" Then
                ListeSaints = "Hervé"
        ElseIf JourEC = "18" Then
                ListeSaints = "Léonce"
        ElseIf JourEC = "19" Then
                ListeSaints = "Romuald"
        ElseIf JourEC = "20" Then
                ListeSaints = "Silvère"
        ElseIf JourEC = "21" Then
                ListeSaints = "ETE"
        ElseIf JourEC = "22" Then
                ListeSaints = "Alban"
        ElseIf JourEC = "23" Then
                ListeSaints = "Audrey"
        ElseIf JourEC = "24" Then
                ListeSaints = "Jean-Baptiste"
        ElseIf JourEC = "25" Then
                ListeSaints = "Prosper"
        ElseIf JourEC = "26" Then
                ListeSaints = "Anthelme"
        ElseIf JourEC = "27" Then
                ListeSaints = "Fernand"
        ElseIf JourEC = "28" Then
                ListeSaints = "Irénée"
        ElseIf JourEC = "29" Then
                ListeSaints = "Pierre et Paul"
        ElseIf JourEC = "30" Then
                ListeSaints = "Martial"
        End If

    ElseIf MoisEC = "juillet" Then
                
        If JourEC = "01" Then
                ListeSaints = "Thierry"
        ElseIf JourEC = "02" Then
                ListeSaints = "Martinien"
        ElseIf JourEC = "03" Then
                ListeSaints = "Thomas"
        ElseIf JourEC = "04" Then
                ListeSaints = "Florent"
        ElseIf JourEC = "05" Then
                ListeSaints = "Antoine"
        ElseIf JourEC = "06" Then
                ListeSaints = "Mariette"
        ElseIf JourEC = "07" Then
                ListeSaints = "Raoul"
        ElseIf JourEC = "08" Then
                ListeSaints = "Thibaut"
        ElseIf JourEC = "09" Then
                ListeSaints = "Amandine"
        ElseIf JourEC = "10" Then
                ListeSaints = "Ulrich"
        ElseIf JourEC = "11" Then
                ListeSaints = "Benoît"
        ElseIf JourEC = "12" Then
                ListeSaints = "Olivier"
        ElseIf JourEC = "13" Then
                ListeSaints = "Henri & Joël"
        ElseIf JourEC = "15" Then
                ListeSaints = "Donald"
        ElseIf JourEC = "16" Then
                ListeSaints = "N.-D. Mont Carmel"
        ElseIf JourEC = "17" Then
                ListeSaints = "Charlotte"
        ElseIf JourEC = "18" Then
                ListeSaints = "Frédéric"
        ElseIf JourEC = "19" Then
                ListeSaints = "Arsène"
        ElseIf JourEC = "20" Then
                ListeSaints = "Marina"
        ElseIf JourEC = "21" Then
                ListeSaints = "Victor"
        ElseIf JourEC = "22" Then
                ListeSaints = "Marie-Madeleine"
        ElseIf JourEC = "23" Then
                ListeSaints = "Brigitte"
        ElseIf JourEC = "24" Then
                ListeSaints = "Christine"
        ElseIf JourEC = "25" Then
                ListeSaints = "Jacques"
        ElseIf JourEC = "26" Then
                ListeSaints = "Anne & Joachim"
        ElseIf JourEC = "27" Then
                ListeSaints = "Nathalie"
        ElseIf JourEC = "28" Then
                ListeSaints = "Samson"
        ElseIf JourEC = "29" Then
                ListeSaints = "Marthe"
        ElseIf JourEC = "30" Then
                ListeSaints = "Juliette"
        ElseIf JourEC = "31" Then
                ListeSaints = "Ignace D.L."
        End If

    ElseIf MoisEC = "août" Then
                
        If JourEC = "01" Then
                ListeSaints = "Alphonse"
        ElseIf JourEC = "02" Then
                ListeSaints = "Julien"
        ElseIf JourEC = "03" Then
                ListeSaints = "Lydie"
        ElseIf JourEC = "04" Then
                ListeSaints = "J.M. Vianney"
        ElseIf JourEC = "05" Then
                ListeSaints = "Abel"
        ElseIf JourEC = "06" Then
                ListeSaints = "Transfiguration"
        ElseIf JourEC = "07" Then
                ListeSaints = "Gaétan"
        ElseIf JourEC = "08" Then
                ListeSaints = "Dominique"
        ElseIf JourEC = "09" Then
                ListeSaints = "Amour"
        ElseIf JourEC = "10" Then
                ListeSaints = "Laurent"
        ElseIf JourEC = "11" Then
                ListeSaints = "Claire"
        ElseIf JourEC = "12" Then
                ListeSaints = "Clarisse"
        ElseIf JourEC = "13" Then
                ListeSaints = "Hippolyte"
        ElseIf JourEC = "14" Then
                ListeSaints = "Evrard"
        ElseIf JourEC = "16" Then
                ListeSaints = "Armel"
        ElseIf JourEC = "17" Then
                ListeSaints = "Hyacinthe"
        ElseIf JourEC = "18" Then
                ListeSaints = "Hélène"
        ElseIf JourEC = "19" Then
                ListeSaints = "Jean Eudes"
        ElseIf JourEC = "20" Then
                ListeSaints = "Bernard"
        ElseIf JourEC = "21" Then
                ListeSaints = "Christophe"
        ElseIf JourEC = "22" Then
                ListeSaints = "Fabrice"
        ElseIf JourEC = "23" Then
                ListeSaints = "Rose de L."
        ElseIf JourEC = "24" Then
                ListeSaints = "Barthélemy"
        ElseIf JourEC = "25" Then
                ListeSaints = "Louis"
        ElseIf JourEC = "26" Then
                ListeSaints = "Natacha"
        ElseIf JourEC = "27" Then
                ListeSaints = "Monique"
        ElseIf JourEC = "28" Then
                ListeSaints = "Augustin"
        ElseIf JourEC = "29" Then
                ListeSaints = "Sabine"
        ElseIf JourEC = "30" Then
                ListeSaints = "Fiacre"
        ElseIf JourEC = "31" Then
                ListeSaints = "Aristide"
        End If

    ElseIf MoisEC = "septembre" Then
               
        If JourEC = "01" Then
                ListeSaints = "Gilles"
        ElseIf JourEC = "02" Then
                ListeSaints = "Ingrid"
        ElseIf JourEC = "03" Then
                ListeSaints = "Grégoire"
        ElseIf JourEC = "04" Then
                ListeSaints = "Rosalie"
        ElseIf JourEC = "05" Then
                ListeSaints = "Raïssa"
        ElseIf JourEC = "06" Then
                ListeSaints = "Bertrand"
        ElseIf JourEC = "07" Then
                ListeSaints = "Reine"
        ElseIf JourEC = "08" Then
                ListeSaints = "Nativité N.-D."
        ElseIf JourEC = "09" Then
                ListeSaints = "Alain"
        ElseIf JourEC = "10" Then
                ListeSaints = "Inés"
        ElseIf JourEC = "11" Then
                ListeSaints = "Adelphe"
        ElseIf JourEC = "12" Then
                ListeSaints = "Apollinaire"
        ElseIf JourEC = "13" Then
                ListeSaints = "Aimé"
        ElseIf JourEC = "14" Then
                ListeSaints = "Croix"
        ElseIf JourEC = "15" Then
                ListeSaints = "Roland"
        ElseIf JourEC = "16" Then
                ListeSaints = "Edith"
        ElseIf JourEC = "17" Then
                ListeSaints = "Renaud"
        ElseIf JourEC = "18" Then
                ListeSaints = "Nadège"
        ElseIf JourEC = "19" Then
                ListeSaints = "Emilie"
        ElseIf JourEC = "20" Then
                ListeSaints = "Davy"
        ElseIf JourEC = "21" Then
                ListeSaints = "Matthieu"
        ElseIf JourEC = "22" Then
                ListeSaints = "Maurice"
        ElseIf JourEC = "23" Then
                ListeSaints = "Constant"
        ElseIf JourEC = "24" Then
                ListeSaints = "Thècle"
        ElseIf JourEC = "25" Then
                ListeSaints = "Hermann"
        ElseIf JourEC = "26" Then
                ListeSaints = "Côme, Dam."
        ElseIf JourEC = "27" Then
                ListeSaints = "Vinc. D. Paul"
        ElseIf JourEC = "28" Then
                ListeSaints = "Venceslas"
        ElseIf JourEC = "29" Then
                ListeSaints = "Michel"
        ElseIf JourEC = "30" Then
                ListeSaints = "Jérome"
        End If

    ElseIf MoisEC = "octobre" Then
                
        If JourEC = "01" Then
                ListeSaints = "Ste Th. de l'E.-J."
        ElseIf JourEC = "02" Then
                ListeSaints = "Léger"
        ElseIf JourEC = "03" Then
                ListeSaints = "Gérard"
        ElseIf JourEC = "04" Then
                ListeSaints = "Fr. d'Assise"
        ElseIf JourEC = "05" Then
                ListeSaints = "Fleur"
        ElseIf JourEC = "06" Then
                ListeSaints = "Bruno"
        ElseIf JourEC = "07" Then
                ListeSaints = "Serge"
        ElseIf JourEC = "08" Then
                ListeSaints = "Pélagie"
        ElseIf JourEC = "09" Then
                ListeSaints = "Denis"
        ElseIf JourEC = "10" Then
                ListeSaints = "Ghislain"
        ElseIf JourEC = "11" Then
                ListeSaints = "Firmin"
        ElseIf JourEC = "12" Then
                ListeSaints = "Wilfried"
        ElseIf JourEC = "13" Then
                ListeSaints = "Géraud"
        ElseIf JourEC = "14" Then
                ListeSaints = "Juste"
        ElseIf JourEC = "15" Then
                ListeSaints = "Thérèse d'Avila"
        ElseIf JourEC = "16" Then
                ListeSaints = "Edwige"
        ElseIf JourEC = "17" Then
                ListeSaints = "Baudoin"
        ElseIf JourEC = "18" Then
                ListeSaints = "Luc"
        ElseIf JourEC = "19" Then
                ListeSaints = "René"
        ElseIf JourEC = "20" Then
                ListeSaints = "Adeline"
        ElseIf JourEC = "21" Then
                ListeSaints = "Céline"
        ElseIf JourEC = "22" Then
                ListeSaints = "Elodie"
        ElseIf JourEC = "23" Then
                ListeSaints = "Jean de C"
        ElseIf JourEC = "24" Then
                ListeSaints = "Florentin"
        ElseIf JourEC = "25" Then
                ListeSaints = "Crépin"
        ElseIf JourEC = "26" Then
                ListeSaints = "Dinitri"
        ElseIf JourEC = "27" Then
                ListeSaints = "Emeline"
        ElseIf JourEC = "28" Then
                ListeSaints = "Simon, Jude"
        ElseIf JourEC = "29" Then
                ListeSaints = "Narcisse"
        ElseIf JourEC = "30" Then
                ListeSaints = "Bienvenue"
        ElseIf JourEC = "31" Then
                ListeSaints = "Quentin"
        End If

    ElseIf MoisEC = "novembre" Then
               
        If JourEC = "02" Then
                ListeSaints = "Défunts"
        ElseIf JourEC = "03" Then
                ListeSaints = "Hubert"
        ElseIf JourEC = "04" Then
                ListeSaints = "Charles"
        ElseIf JourEC = "05" Then
                ListeSaints = "Sylvie"
        ElseIf JourEC = "06" Then
                ListeSaints = "Bertille"
        ElseIf JourEC = "07" Then
                ListeSaints = "Carine"
        ElseIf JourEC = "08" Then
                ListeSaints = "Geoffroy"
        ElseIf JourEC = "09" Then
                ListeSaints = "Théodore"
        ElseIf JourEC = "10" Then
                ListeSaints = "Léon"
        ElseIf JourEC = "12" Then
                ListeSaints = "Christian"
        ElseIf JourEC = "13" Then
                ListeSaints = "Brice"
        ElseIf JourEC = "14" Then
                ListeSaints = "Sidoine"
        ElseIf JourEC = "15" Then
                ListeSaints = "Albert"
        ElseIf JourEC = "16" Then
                ListeSaints = "Marguerite"
        ElseIf JourEC = "17" Then
                ListeSaints = "Elisabeth"
        ElseIf JourEC = "18" Then
                ListeSaints = "Aude"
        ElseIf JourEC = "19" Then
                ListeSaints = "Tanguy"
        ElseIf JourEC = "20" Then
                ListeSaints = "Edmond"
        ElseIf JourEC = "21" Then
                ListeSaints = "Prés. Marie"
        ElseIf JourEC = "22" Then
                ListeSaints = "Cécile"
        ElseIf JourEC = "23" Then
                ListeSaints = "Clément"
        ElseIf JourEC = "24" Then
                ListeSaints = "Flora"
        ElseIf JourEC = "25" Then
                ListeSaints = "Cath. Laboure"
        ElseIf JourEC = "26" Then
                ListeSaints = "Delphine"
        ElseIf JourEC = "27" Then
                ListeSaints = "Séverine"
        ElseIf JourEC = "28" Then
                ListeSaints = "Jacq. de la marche"
        ElseIf JourEC = "29" Then
                ListeSaints = "Saturnin"
        ElseIf JourEC = "30" Then
                ListeSaints = "André"
        End If

    ElseIf MoisEC = "décembre" Then
                
        If JourEC = "01" Then
                ListeSaints = "Florence"
        ElseIf JourEC = "02" Then
                ListeSaints = "Viviane"
        ElseIf JourEC = "03" Then
                ListeSaints = "Xavier"
        ElseIf JourEC = "04" Then
                ListeSaints = "Barbara"
        ElseIf JourEC = "05" Then
                ListeSaints = "Gérald"
        ElseIf JourEC = "06" Then
                ListeSaints = "Nicolas"
        ElseIf JourEC = "07" Then
                ListeSaints = "Ambroise"
        ElseIf JourEC = "08" Then
                ListeSaints = "Imm. Conception"
        ElseIf JourEC = "09" Then
                ListeSaints = "P. Fourier"
        ElseIf JourEC = "10" Then
                ListeSaints = "Romaric"
        ElseIf JourEC = "11" Then
                ListeSaints = "Daniel"
        ElseIf JourEC = "12" Then
                ListeSaints = "J. Fr. de Chantal"
        ElseIf JourEC = "13" Then
                ListeSaints = "Lucie"
        ElseIf JourEC = "14" Then
                ListeSaints = "Odile"
        ElseIf JourEC = "15" Then
                ListeSaints = "Ninon"
        ElseIf JourEC = "16" Then
                ListeSaints = "Alice"
        ElseIf JourEC = "17" Then
                ListeSaints = "Gaël"
        ElseIf JourEC = "18" Then
                ListeSaints = "Gatien"
        ElseIf JourEC = "19" Then
                ListeSaints = "Urbain"
        ElseIf JourEC = "20" Then
                ListeSaints = "Abraham"
        ElseIf JourEC = "21" Then
                ListeSaints = "P. Canisius"
        ElseIf JourEC = "22" Then
                ListeSaints = "François Xavière"
        ElseIf JourEC = "23" Then
                ListeSaints = "Armand"
        ElseIf JourEC = "24" Then
                ListeSaints = "Adèle"
        ElseIf JourEC = "26" Then
                ListeSaints = "Etienne"
        ElseIf JourEC = "27" Then
                ListeSaints = "Jean"
        ElseIf JourEC = "28" Then
                ListeSaints = "Innocents"
        ElseIf JourEC = "29" Then
                ListeSaints = "David"
        ElseIf JourEC = "30" Then
                ListeSaints = "Roger"
        ElseIf JourEC = "31" Then
                ListeSaints = "Sylvestre"
        End If

End If

End Function

